REST APIEnterpriseUser

GET

Returns a single access token template belonging to the authenticated user.

Path Params

  • id string required
    The access token template ID

Responses

200
OK

Response Body

object

  • id string required
  • name string required
  • userId string required
  • enterpriseId string
  • tokenScopes array of strings
  • allowedIPs array of strings
  • tokenLimits object
    tokenLimits object
    • spendingLimits array of objects
      spendingLimits object
      • coin string required
      • txValueLimit string
      • maxLimit boolean
    • allErc20TokensLimit object
      allErc20TokensLimit object
      • enabled boolean
      • txValueLimit string
      • maxLimit boolean
  • permittedEnterprises array of strings
  • permittedWallets array of strings
  • createdAt string date-time
  • updatedAt string date-time
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id